Skip to main content
Back to API List Use this API to check the availability of agents based on specified skill IDs, queue IDs, and agent IDs.
MethodPOST
Endpointhttps://{{host}}/agentassist/api/v1/public/{{botId}}/agents/availability
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token
API ScopeConfiguration

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
botIdBotId or StreamId. You can access it from the App Settings page.string, required

Sample Request

curl --location --request POST 'https://{{host}}/agentassist/api/v1/public/<botId>/agents/availability' \
--header 'auth: <token>' \
--header 'Content-Type: application/json' \
--header 'accountId: <accountId>' \
--data-raw '{
   "skillIds": ["65d74b5d6610c92860cfbxxxx"],
   "queueIds": ["qu-65e176a-b2ca-4844-9686-228cd1a54xxxx"],
   "agentIds": ["a123"],
}'

Headers

HeaderDescriptionRequired/Optional
accountIdThe account ID associated with the API request.required
authJWT token for authentication.required

Body Parameters

ParameterDescriptionType
skillIdsAn array of skill IDs to check agent availability.string, optional
queueIdsAn array of queue IDs for filtering agents.string, optional
agentIdsAn array of specific agent IDs to check.string, optional

Sample Response

{
    "AVAILABLE": [
        {
            "_id": "a-551a805-04ab-4c08-88ab-c23eb5aaxxxx",
            "userId": "u-ac66a8f2-5988-56d9-b54f-51a4ea6axxxx",
            "firstName": "Jane",
            "lastName": "Doe",
            "emailId": "sa@yopmail.com",
            "customId": "1111",
            "phoneNumber": "9999999999"
        }
    ],
    "BUSY": [],
    "OFFLINE": [
        {
            "_id": "a-645446e-51ca-4b28-94b2-b0b8d87axxxx",
            "userId": "u-edeea799-0020-5c13-b3ce-bf25c0e0xxxx",
            "firstName": "John",
            "lastName": "Doe",
            "emailId": "john_doe@yopmail.com",
            "customId": "1313",
            "phoneNumber": "8888888888"
        }
    ],
    "AWAY": []
}

Response Body Parameters

ParameterDescriptionType
AVAILABLEList of agents who are currently available.array
BUSYList of agents who are currently busy.array
OFFLINEList of agents who are currently offline.array
AWAYList of agents who are currently away.array
_idUnique identifier of the agent.string
userIdUnique identifier of the user.string
firstNameFirst name of the agent.string
lastNameLast name of the agent.string
emailIdEmail address of the agent.string
customIdCustom identifier for the agent.string
phoneNumberContact number of the agent.string